CMSIS-DSP: quaternion_math_functions.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
quaternion_math_functions.h File Reference

## Functions

void | arm_quaternion_norm_f32 (const float32_t *pInputQuaternions, float32_t *pNorms, uint32_t nbQuaternions)
| Floating-point quaternion Norm. More...
void | arm_quaternion_inverse_f32 (const float32_t *pInputQuaternions, float32_t *pInverseQuaternions, uint32_t nbQuaternions)
| Floating-point quaternion inverse. More...
void | arm_quaternion_conjugate_f32 (const float32_t *inputQuaternions, float32_t *pConjugateQuaternions, uint32_t nbQuaternions)
| Floating-point quaternion conjugates. More...
void | arm_quaternion_normalize_f32 (const float32_t *inputQuaternions, float32_t *pNormalizedQuaternions, uint32_t nbQuaternions)
| Floating-point normalization of quaternions. More...
void | arm_quaternion_product_single_f32 (const float32_t *qa, const float32_t *qb, float32_t *r)
| Floating-point product of two quaternions. More...
void | arm_quaternion_product_f32 (const float32_t *qa, const float32_t *qb, float32_t *r, uint32_t nbQuaternions)
| Floating-point elementwise product two quaternions. More...
void | arm_quaternion2rotation_f32 (const float32_t *pInputQuaternions, float32_t *pOutputRotations, uint32_t nbQuaternions)
| Conversion of quaternion to equivalent rotation matrix. More...
void | arm_rotation2quaternion_f32 (const float32_t *pInputRotations, float32_t *pOutputQuaternions, uint32_t nbQuaternions)
| Conversion of a rotation matrix to equivalent quaternion. More...